# -*- rpm-spec -*-
# $Id: xemacs-gnus,v 1.17 2002/12/21 17:34:29 lioka Exp $

%define xemacs_package gnus

Name: xemacs-gnus
Version: 1.64
Release: alt2

Summary: The Gnus Newsreader and Mailreader
License: GPL
Group: Editors
Url: http://ftp.xemacs.org/pub/xemacs/packages/

Source: %url/%xemacs_package-%version-pkg.tar.bz2
Patch: %xemacs_package-openssl.patch

PreReq: xemacsen
Requires: xemacs-base xemacs-eterm xemacs-fsf-compat xemacs-mail-lib xemacs-mailcrypt xemacs-mh-e xemacs-w3
Provides: xemacs-mua

BuildArch: noarch
BuildPreReq: xemacsen >= 0.1-alt2
BuildRequires: xemacs-mule-base xemacs-mail-lib xemacs-w3 xemacs-mh-e

%description
The Gnus Newsreader and Mailreader

%prep
%setup -q -c
%patch -p0

%build
%xemacs_bytecompile -C lisp/gnus

%install
%__mkdir_p %buildroot{%_xemacs_package_dir,%_xemacs_infodir}
%__cp -a . %buildroot%_xemacs_package_dir
%__install -m0644 info/*.info* %buildroot%_xemacs_infodir 
%xemacs_package_find_files

%post
%xemacs_install_info {%xemacs_package,emacs-mime,message}.info

%preun
%xemacs_uninstall_info {%xemacs_package,emacs-mime,message}.info

%files -f %name-files

%changelog
* Sat Dec 21 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.64-alt2
- #1531 fixed

* Mon Oct 28 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.64-alt1
- 1.64

* Thu Oct  3 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.62-alt2
- openssl invocation in nntp.el fixed

* Mon Aug  5 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.62-alt1
- first build for %distribution distribution

